Bug 69130 - File->AutoPilot->WebPage .......crash
Summary: File->AutoPilot->WebPage .......crash
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: openoffice.org   
(Show other bugs)
Version: 1.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 67218
TreeView+ depends on / blocked
 
Reported: 2002-07-18 02:22 UTC by ellson
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-26 15:11:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description ellson 2002-07-18 02:22:03 UTC
Description of Problem:
File->AutoPilot->WebPage .......crash

Version-Release number of selected component (if applicable):
openoffice-1.0.0-7.i386.rpm
rawhide-release-20020717-1.noarch.rpm
kernel-2.4.18-5.73.i686.rpm

How Reproducible:
100%

Steps to Reproduce:
1. run "ooffice"
2. File->AutoPilot->WebPage
3. 

Actual Results:
crash

Expected Results:
no crashes

Additional Information:

Comment 1 ellson 2002-07-18 18:41:28 UTC
I'll bet this is the same problem:

http://www.openoffice.org/issues/show_bug.cgi?id=4735

If so, its fixed in OpenOffice 1.0.1

Comment 2 Jakub Jelinek 2002-07-20 17:07:34 UTC
Wrong bet. It was actually a gcc bug, where
io_FileAccess::OFileAccess::exists( const rtl::OUString& FileURL )
method was not setting up %ebx register although it called @PLT functions
in its EH handling.
Fixed by http://gcc.gnu.org/ml/gcc-patches/2002-05/msg02221.html,
I've just backported it to gcc 3.1 and verified it fixes the problem.
It will be fixed in gcc-c++-3.1-10 and openoffice-1.0.1-1.

Comment 3 Jakub Jelinek 2002-07-26 15:11:39 UTC
Should be fixed in rawhide.

Comment 4 Jay Turner 2002-09-04 03:07:12 UTC
Fix confirmed with openoffice-1.0.1-7 and gcc-3.2-5.


Note You need to log in before you can comment on or make changes to this bug.